<div class="notes-page">
  <div>
    <div class="row">
      <div [hidden]="toggle" class="col col-sm-1 notes-list toggle-icons">
        <div class="row">
          <div class="col col-sm-1">
            <svg width="2em" height="2em" viewBox="0 0 16 16" class="bi bi-arrow-right-circle" fill="currentColor"
                 (click)="toggleSideBar()" xmlns="http://www.w3.org/2000/svg">
              <path fill-rule="evenodd" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
              <path fill-rule="evenodd" d="M7.646 11.354a.5.5 0 0 1 0-.708L10.293 8 7.646 5.354a.5.5 0 1 1 .708-.708l3 3a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708 0z"/>
              <path fill-rule="evenodd" d="M4.5 8a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5z"/>
            </svg>
          </div>
        </div>
        <br/>
        <div class="row">
          <div class="col col-sm-1">
            <svg width="2em" height="2em" viewBox="0 0 16 16" class="bi bi-search" fill="currentColor"
                 xmlns="http://www.w3.org/2000/svg" (click)="toggleSideBar('search')">
              <path fill-rule="evenodd" d="M10.442 10.442a1 1 0 0 1 1.415 0l3.85 3.85a1 1 0 0 1-1.414 1.415l-3.85-3.85a1 1 0 0 1 0-1.415z"/>
              <path fill-rule="evenodd" d="M6.5 12a5.5 5.5 0 1 0 0-11 5.5 5.5 0 0 0 0 11zM13 6.5a6.5 6.5 0 1 1-13 0 6.5 6.5 0 0 1 13 0z"/>
            </svg>
          </div>
        </div>
      </div>
      <div class="col col-md-3 notes-list" [hidden]="!toggle">
        <div class="row" style="padding: 2px 10px;">
          <div class="col col-sm-9">
            <h3>Notes List</h3>
          </div>
          <div class="col col-sm-2 pointer" [hidden]="!toggle">
            <svg width="2em" height="2em" viewBox="0 0 16 16" class="bi bi-arrow-left-circle" fill="currentColor"
                 xmlns="http://www.w3.org/2000/svg" (click)="toggleSideBar()">
              <path fill-rule="evenodd" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
              <path fill-rule="evenodd" d="M8.354 11.354a.5.5 0 0 0 0-.708L5.707 8l2.647-2.646a.5.5 0 1 0-.708-.708l-3 3a.5.5 0 0 0 0 .708l3 3a.5.5 0 0 0 .708 0z"/>
              <path fill-rule="evenodd" d="M11.5 8a.5.5 0 0 0-.5-.5H6a.5.5 0 0 0 0 1h5a.5.5 0 0 0 .5-.5z"/>
            </svg>
          </div>
          <div class="col col-sm-3" [hidden]="toggle" style="text-align: right;">
            <svg width="2em" height="2em" viewBox="0 0 16 16" class="bi bi-arrow-right-circle" fill="currentColor"
                 (click)="toggleSideBar()" xmlns="http://www.w3.org/2000/svg">
              <path fill-rule="evenodd" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
              <path fill-rule="evenodd" d="M7.646 11.354a.5.5 0 0 1 0-.708L10.293 8 7.646 5.354a.5.5 0 1 1 .708-.708l3 3a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708 0z"/>
              <path fill-rule="evenodd" d="M4.5 8a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5z"/>
            </svg>
          </div>
        </div>
        <div class="search-note">
          <div class="input-group input-group-sm">
            <input type="text" placeholder="Search" [(ngModel)]="searchTerm" (ngModelChange)="searchNotes()"
                   class="form-control" id="search"/>
          </div>
        </div>
        <div *ngFor="let note of notes; let index = index" class="note-block"
             (click)="selectNote(index)" [ngClass]="selectedNote == note.index ? 'selected-block' : ''">
          <div class="header">{{note.header || 'New Note'}}</div>
          <div class="description">{{note.description || 'No additional text'}}</div>
          <div class="row">
            <div class="col col-sm-2">
              <span class="time">{{note.time | date: 'HH:mm'}}</span>
            </div>
            <div class="col col-sm-6"></div>
            <div class="col col-sm-2 pointer" title="Delete Note">
              <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-trash" fill="currentColor"
                   xmlns="http://www.w3.org/2000/svg" (click)="deleteNote(index)">
                <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z"/>
                <path fill-rule="evenodd" d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4L4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z"/>
              </svg>
            </div>
            <div class="col col-sm-2 pointer" title="Edit Note">
              <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-pencil-square" fill="currentColor"
                   xmlns="http://www.w3.org/2000/svg" (click)="editNote(index)">
                <path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
                <path fill-rule="evenodd" d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
              </svg>
            </div>
          </div>
        </div>
        <div *ngIf="!notes.length">
          No notes to display.
        </div>
      </div>
      <div class="col col-md-9">
        <div class="info-message" [hidden]="note">
          <h2>Select any note to see preview or Click on Add Note to add new note</h2>
          <button type="button" class="btn btn-primary" (click)="addNote()">Add Note</button>
        </div>
        <div *ngIf="note" class="row" style="margin-top: 10px;">
          <div class="col col-md-3">
            <h3>Note #{{note.index + 1}}</h3>
          </div>
          <div class="col col-md-3" style="text-align: right">
            <button class="btn btn-primary" type="button" (click)="addNote()">Add Note</button>
          </div>
        </div>
        <div class="col col-md-6" [hidden]="!note">
          <hr style="margin-top: 0"/>
          <label class="label" for="header">Title</label>
          <div class="input-group input-group-sm">
            <input type="text" id="header" [(ngModel)]="note.header" placeholder="Title"
                   (ngModelChange)="updateNote()" class="form-control">
          </div>
          <br/>
          <label class="label" for="description">Description</label>
          <div class="input-group input-group-sm">
            <input type="text" id="description" [(ngModel)]="note.description" placeholder="Description"
                   (ngModelChange)="updateNote()" class="form-control">
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
